commit:     277c9e630192d6ef58827b879d025dd613f22258
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 25 17:00:34 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Feb 25 17:05:25 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=277c9e63

sys-apps/xdg-desktop-portal: New package

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 sys-apps/xdg-desktop-portal/Manifest               |  1 +
 sys-apps/xdg-desktop-portal/metadata.xml           |  8 ++++
 .../xdg-desktop-portal-1.2.0.ebuild                | 47 ++++++++++++++++++++++
 3 files changed, 56 insertions(+)

diff --git a/sys-apps/xdg-desktop-portal/Manifest 
b/sys-apps/xdg-desktop-portal/Manifest
new file mode 100644
index 00000000000..cb882d4c980
--- /dev/null
+++ b/sys-apps/xdg-desktop-portal/Manifest
@@ -0,0 +1 @@
+DIST xdg-desktop-portal-1.2.0.tar.xz 405856 BLAKE2B 
8d198c7c18b829f531e34d6526b52776a1acffcb874a2ea93953314710aa18bcb1988ffe190bb7b7f7c0d1c4eb1bc3d39fd2f7da626754730bf64f349ae75d39
 SHA512 
7c7dff8f1f44b4f564f195a8f9ad2985f6085d16638d18941459cd14d76d8ae7cafaf72f461f2c0c1414a8bace9f3ab4a5416de06edb71df677fd7bdca47f61a

diff --git a/sys-apps/xdg-desktop-portal/metadata.xml 
b/sys-apps/xdg-desktop-portal/metadata.xml
new file mode 100644
index 00000000000..2fdbf33d963
--- /dev/null
+++ b/sys-apps/xdg-desktop-portal/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Gentoo KDE Project</name>
+       </maintainer>
+</pkgmetadata>

diff --git a/sys-apps/xdg-desktop-portal/xdg-desktop-portal-1.2.0.ebuild 
b/sys-apps/xdg-desktop-portal/xdg-desktop-portal-1.2.0.ebuild
new file mode 100644
index 00000000000..90099e8c1c6
--- /dev/null
+++ b/sys-apps/xdg-desktop-portal/xdg-desktop-portal-1.2.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools systemd
+
+DESCRIPTION="Desktop integration portal"
+HOMEPAGE="https://flatpak.org/ https://github.com/flatpak/xdg-desktop-portal";
+SRC_URI="https://github.com/flatpak/${PN}/releases/download/${PV}/${P}.tar.xz";
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc geolocation"
+
+BDEPEND="
+       dev-util/gdbus-codegen
+       sys-devel/gettext
+       virtual/pkgconfig
+       doc? (
+               app-text/xmlto
+               app-text/docbook-xml-dtd:4.3
+       )
+"
+DEPEND="
+       dev-libs/glib:2[dbus]
+       sys-fs/fuse:0
+       geolocation? ( app-misc/geoclue:2.0 )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       default
+       sed -e "/^PKG_CHECK_MODULES(FLATPAK/s/^/# DONT /" -i configure.ac || die
+       eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               --disable-pipewire
+               --with-systemduserunitdir="$(systemd_get_userunitdir)"
+               $(use_enable doc docbook-docs)
+               $(use_enable geolocation geoclue)
+       )
+       econf "${myeconfargs[@]}"
+}

Reply via email to